<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * Contains the Services_DynDNS_Request_custom class
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 * 
 * @category   Web Services
 * @package    Services_DynDNS
 * @author     Bryan Dunlap <bdunlap@bryandunlap.com>
 * @copyright  2005 Bryan Dunlap
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id: custom.php,v 1.1 2005/08/13 14:25:34 bdunlap Exp $
 * @link       http://pear.php.net/package/Services_DynDNS
 */

/**
 * Load Services_DynDNS_Request_common
 */
require_once 'Services/DynDNS/Request/common.php';

/**
 * Encapsulates a 'custom' request to the DynDND REST API
 *
 * @category   Web Services
 * @package    Services_DynDNS
 * @author     Bryan Dunlap <bdunlap@bryandunlap.com>
 * @copyright  2005 Bryan Dunlap
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    Release: 0.3.1
 */
class Services_DynDNS_Request_custom extends Services_DynDNS_Request_common
{

    /**
     * Parameters for the request
     *
     * @var    array
     * @access protected
     */
    var $parameters = array('username' => '',
                            'password' => '',
                            'hostname' => array(),
                            'myip'     => '',
                            'offline'  => SERVICES_DYNDNS_PARAM_VALUE_NO);
    
    /**
     * Constructor
     *
     * @return void
     * @access public
     */
    function Services_DynDNS_Request_custom()
    {
        $this->system = 'custom';
        parent::initialize();
    }
    
}

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * c-hanging-comment-ender-p: nil
 * End:
 */

?>
